Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/xsl/mdv_dipl.xsl
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/xsl/mdv_dipl.xsl	(revision 2396)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/xsl/mdv_dipl.xsl	(revision 2397)
@@ -1,183 +1,189 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
-<!-- This is a stylesheet that gives a "diplomatic" presentation of old French manuscript transcriptions
-	- abbreviations are resolved and rendered in italics;
-	- agglutinations and deglutinations are not marked (word limits 
-	  are "normalized");
-                                                          - Strong punctuation is marked with a dot followed by a capital letter;
-                                                             weak punctuation is marked with a comma.
-	- direct speech is marked with darkblue color;
-	- uncertain readings are marked with grey background color;
-	- text deleted in the original is not visualized;
-	- text corrected in the normalized version is marked with darkred
-                                                             color and followed by "(sic!)" note;
-                                                          - notes are rendered with [*] sign in the text body; the text of the note
-                                                            appears on "mouse-over" and is reproduced in the end.
--->
+<!-- This is a stylesheet that gives a "diplomatic" presentation of old French 
+	manuscript transcriptions - abbreviations are resolved and rendered in italics; 
+	- agglutinations and deglutinations are not marked (word limits are "normalized"); 
+	- Strong punctuation is marked with a dot followed by a capital letter; weak 
+	punctuation is marked with a comma. - direct speech is marked with darkblue 
+	color; - uncertain readings are marked with grey background color; - text 
+	deleted in the original is not visualized; - text corrected in the normalized 
+	version is marked with darkred color and followed by "(sic!)" note; - notes 
+	are rendered with [*] sign in the text body; the text of the note appears 
+	on "mouse-over" and is reproduced in the end. -->
 
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:me="http://www.menota.org/ns/1.0" xmlns:bfm="http://bfm.ens-lsh.fr/ns/1.0">
-                <xsl:include href="mdv_common.xsl"/>
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:me="http://www.menota.org/ns/1.0"
+	xmlns:bfm="http://bfm.ens-lsh.fr/ns/1.0">
+	<xsl:include href="mdv_common.xsl" />
 
-                <xsl:param name="form">diplomatique</xsl:param>
+	<xsl:param name="form">
+		diplomatique
+	</xsl:param>
 
-                <xsl:variable name="mode">dipl</xsl:variable>
+	<xsl:variable name="mode">
+		dipl
+	</xsl:variable>
 
-                <xsl:output method="html" encoding="UTF-8" version="4.0" indent="yes"/>
+	<xsl:output method="html" encoding="UTF-8" version="4.0"
+		indent="yes" />
 
-                <xsl:strip-space elements="*"/>
+	<xsl:strip-space elements="*" />
 
-                <!--                <xsl:variable name="title-formal" select="//fileDesc/titleStmt/title[@type='formal']"/>
-                                
-                                <xsl:variable name="title-normal" select="//fileDesc/titleStmt/title[@type='normal']"/>
-                                
-                                <xsl:variable name="title-ref" select="//fileDesc/titleStmt/title[@type='reference']"/>
-                                
-                                <xsl:variable name="author" select="//titleStmt/author"/>
-                -->
+	<!-- <xsl:variable name="title-formal" select="//fileDesc/titleStmt/title[@type='formal']"/> 
+		<xsl:variable name="title-normal" select="//fileDesc/titleStmt/title[@type='normal']"/> 
+		<xsl:variable name="title-ref" select="//fileDesc/titleStmt/title[@type='reference']"/> 
+		<xsl:variable name="author" select="//titleStmt/author"/> -->
 
-                <xsl:template match="//tei:p|//tei:head">
-                                <p>
-                                                <xsl:if test="@n"> [ § <xsl:value-of select="@n"
-                                                  />]&#xa0; </xsl:if>
-                                                <xsl:apply-templates mode="dipl"/>
-                                </p>
-                </xsl:template>
+	<xsl:template match="//tei:p|//tei:head">
+		<p>
+			<xsl:if test="@n">
+				[ §
+				<xsl:value-of select="@n" />
+				]&#xa0;
+			</xsl:if>
+			<xsl:apply-templates mode="dipl" />
+		</p>
+	</xsl:template>
 
-                <xsl:template match="tei:pb" mode="dipl">
-                                <xsl:call-template name="pb_common"/>
-                </xsl:template>
+	<xsl:template match="tei:pb" mode="dipl">
+		<xsl:call-template name="pb_common" />
+	</xsl:template>
 
-                <xsl:template match="tei:cb" mode="dipl">
-                                <xsl:call-template name="cb_common"/>
-                </xsl:template>
+	<xsl:template match="tei:cb" mode="dipl">
+		<xsl:call-template name="cb_common" />
+	</xsl:template>
 
-                <xsl:template match="tei:note" mode="dipl">
-                                <xsl:call-template name="note_common"/>
-                </xsl:template>
+	<xsl:template match="tei:note" mode="dipl">
+		<xsl:call-template name="note_common" />
+	</xsl:template>
 
-                <xsl:template match="tei:q" mode="dipl">
-                                <span style="background-color:khaki">
-                                                <xsl:apply-templates mode="dipl"/>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:q" mode="dipl">
+		<span style="background-color:khaki">
+			<xsl:apply-templates mode="dipl" />
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:gap" mode="dipl">
-                                <xsl:call-template name="gap_common"/>
-                </xsl:template>
+	<xsl:template match="tei:gap" mode="dipl">
+		<xsl:call-template name="gap_common" />
+	</xsl:template>
 
 
-                <xsl:template match="//tei:lb[@ed='norm']" mode="dipl"> </xsl:template>
+	<xsl:template match="//tei:lb[@ed='norm']" mode="dipl">
+	</xsl:template>
 
-                <xsl:template match="//tei:lb[not(@ed)]" mode="dipl">
-                                <xsl:choose>
-                                                <xsl:when
-                                                  test="position()=1 and not(ancestor::tei:seg)"/>
-                                                <xsl:when
-                                                  test="preceding::tei:w[1][descendant::bfm:headlb]"/>
-                                                <xsl:when
-                                                  test="preceding::tei:w[1][descendant::tei:lb]"/>
-                                                <xsl:otherwise>
-                                                  <br/>
-                                                </xsl:otherwise>
-                                </xsl:choose>
-                </xsl:template>
+	<xsl:template match="//tei:lb[not(@ed)]" mode="dipl">
+		<xsl:choose>
+			<xsl:when test="position()=1 and not(ancestor::tei:seg)" />
+			<xsl:when test="preceding::tei:w[1][descendant::bfm:headlb]" />
+			<xsl:when test="preceding::tei:w[1][descendant::tei:lb]" />
+			<xsl:otherwise>
+				<br />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-                <xsl:template match="//tei:lb[@ed='facs']" mode="dipl">
-                                <xsl:text>-</xsl:text>
-                                <br/>
-                </xsl:template>
+	<xsl:template match="//tei:lb[@ed='facs']" mode="dipl">
+		<xsl:text>-</xsl:text>
+		<br />
+	</xsl:template>
 
-                <xsl:template match="//tei:w|//bfm:punct" mode="dipl">
-                                <span class="word" id="{@xml:id}" title="{@type}">
-                                                <xsl:apply-templates select="descendant::me:dipl"
-                                                  mode="dipl"/>
-                                                <xsl:if
-                                                  test="descendant::tei:sic and not(following-sibling::tei:w[1][descendant::tei:sic])">
-                                                  <i>
-                                                  <xsl:text> (sic !)</xsl:text>
-                                                  </i>
-                                                </xsl:if>
-                                                <xsl:choose>
-                                                  <xsl:when
-                                                  test="following::*[1][self::bfm:punct][contains(., ',') or contains(., '.') or contains(., ']')or contains(., ')')]"/>
-                                                  <xsl:when test="@bfm:aggl='elision'">'</xsl:when>
-                                                  <xsl:otherwise>
-                                                  <xsl:text> </xsl:text>
-                                                  </xsl:otherwise>
-                                                </xsl:choose>
-                                </span>
-                </xsl:template>
+	<xsl:template match="//tei:w|//bfm:punct" mode="dipl">
+		<span class="word" id="{@xml:id}" title="{@type}">
+			<xsl:apply-templates select="descendant::me:dipl"
+				mode="dipl" />
+			<xsl:if
+				test="descendant::tei:sic and not(following-sibling::tei:w[1][descendant::tei:sic])">
+				<i>
+					<xsl:text> (sic !)</xsl:text>
+				</i>
+			</xsl:if>
+			<xsl:choose>
+				<xsl:when
+					test="following::*[1][self::bfm:punct][contains(., ',') or contains(., '.') or contains(., ']')or contains(., ')')]" />
+				<xsl:when test="@bfm:aggl='elision'">
+					'
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
+			</xsl:choose>
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:ex" mode="dipl">
-                                <xsl:choose>
-                                                <xsl:when test="@cert='high'">
-                                                  <span style="color:darkgreen;font-style:italic">
-                                                  <xsl:apply-templates mode="dipl"/>
-                                                  </span>
-                                                </xsl:when>
-                                                <xsl:otherwise>
-                                                  <span style="color:darkred;font-style:italic">
-                                                  <xsl:apply-templates mode="dipl"/>
-                                                  </span>
-                                                </xsl:otherwise>
-                                </xsl:choose>
-                </xsl:template>
+	<xsl:template match="tei:ex" mode="dipl">
+		<xsl:choose>
+			<xsl:when test="@cert='high'">
+				<span style="color:darkgreen;font-style:italic">
+					<xsl:apply-templates mode="dipl" />
+				</span>
+			</xsl:when>
+			<xsl:otherwise>
+				<span style="color:darkred;font-style:italic">
+					<xsl:apply-templates mode="dipl" />
+				</span>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-                <xsl:template match="tei:sic" mode="dipl">
-                                <span style="color:darkred" title="sic!">
-                                                <xsl:apply-templates mode="dipl"/>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:sic" mode="dipl">
+		<span style="color:darkred" title="sic!">
+			<xsl:apply-templates mode="dipl" />
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:subst" mode="dipl">[<xsl:apply-templates mode="dipl"
-                                />]</xsl:template>
+	<xsl:template match="tei:subst" mode="dipl">
+		[
+		<xsl:apply-templates mode="dipl" />
+		]
+	</xsl:template>
 
-                <xsl:template match="tei:del" mode="dipl">
-                                <span style="color:red;text-decoration:line-through">
-                                                <xsl:apply-templates mode="dipl"/>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:del" mode="dipl">
+		<span style="color:red;text-decoration:line-through">
+			<xsl:apply-templates mode="dipl" />
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:add[not(@seq)]" mode="dipl">
-                                <span style="color:blue;text-decoration:underline">
-                                                <xsl:apply-templates mode="dipl"/>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:add[not(@seq)]" mode="dipl">
+		<span style="color:blue;text-decoration:underline">
+			<xsl:apply-templates mode="dipl" />
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:add[@seq]" mode="dipl">
-                                <span style="color:blue">
-                                                <sup>&lt;<xsl:value-of select="@seq"/></sup>
-                                                <xsl:apply-templates mode="dipl"/>
-                                                <sup><xsl:value-of select="@seq"/>&gt;</sup>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:add[@seq]" mode="dipl">
+		<span style="color:blue">
+			<sup>
+				&lt;
+				<xsl:value-of select="@seq" />
+			</sup>
+			<xsl:apply-templates mode="dipl" />
+			<sup>
+				<xsl:value-of select="@seq" />
+				&gt;
+			</sup>
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:unclear" mode="dipl">
-                                <span style="background-color:lightgrey">
-                                                <xsl:apply-templates mode="dipl"/>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:unclear" mode="dipl">
+		<span style="background-color:lightgrey">
+			<xsl:apply-templates mode="dipl" />
+		</span>
+	</xsl:template>
 
-                <xsl:template match="tei:hi[@rend='initiale']" mode="dipl">
-                                <span style="font-weight:bold;font-size:xx-large">
-                                                <xsl:apply-templates mode="dipl"/>
-                                </span>
-                </xsl:template>
+	<xsl:template match="tei:hi[@rend='initiale']" mode="dipl">
+		<span style="font-weight:bold;font-size:xx-large">
+			<xsl:apply-templates mode="dipl" />
+		</span>
+	</xsl:template>
 
-                <xsl:template match="//tei:hi[@rend='sup']" mode="dipl">
-                                <sup>
-                                                <xsl:apply-templates mode="dipl"/>
-                                </sup>
-                </xsl:template>
+	<xsl:template match="//tei:hi[@rend='sup']" mode="dipl">
+		<sup>
+			<xsl:apply-templates mode="dipl" />
+		</sup>
+	</xsl:template>
 
 
 
-                <!-- 
-
-
-<xsl:template match="tei:name">
-	<xsl:value-of select="@reg"/>
-</xsl:template>
-
-                -->
+	<!-- <xsl:template match="tei:name"> <xsl:value-of select="@reg"/> </xsl:template> -->
 </xsl:stylesheet>
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/xsl/qgraal_frmod.xsl
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/xsl/qgraal_frmod.xsl	(revision 2396)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/xsl/qgraal_frmod.xsl	(revision 2397)
@@ -1,175 +1,213 @@
 <?xml version='1.0'?>
 
-<!--
-                #######################################
-                Qgraal_cm BASIC stylesheet
-                
-                #######################################
-                author: Alexei Lavrentiev
-                version: 1.2
-                date: 2009-02-16
-                
-                version: 1.1
-                date: 2008-09-30
-                
-                version: 1.0
-                date: 2008-02-21
-                
-                #######################################
-                Description
-                This is a basic stylesheet for viewing BFM texts in XML-TEI
-                Modified for QGRAAL modern French translation
-                
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-                version="1.0"> 
+<!-- ####################################### Qgraal_cm BASIC stylesheet ####################################### 
+	author: Alexei Lavrentiev version: 1.2 date: 2009-02-16 version: 1.1 date: 
+	2008-09-30 version: 1.0 date: 2008-02-21 ####################################### 
+	Description This is a basic stylesheet for viewing BFM texts in XML-TEI Modified 
+	for QGRAAL modern French translation -->
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0" version="1.0">
 
-                <xsl:output method="html" encoding="utf-8" version="4.0" indent="yes"/>
-                
-                <xsl:strip-space elements="*"/>
-                
-                
-                <xsl:template match="/">
-<!--                                <html>
-                                                <head>
-                                                                <title>Quête du Graal (français moderne)</title>
-                                                </head>
-                                                <body style="margin-left:10%;margin-right:10%">-->
-                                                                <xsl:apply-templates select="//tei:text"/>			
-<!--                                                </body>		
-                                </html>	-->
-                </xsl:template>
+	<xsl:output method="html" encoding="utf-8" version="4.0"
+		indent="yes" />
 
-                <!-- TEI-Header Processing -->
-                
-                <xsl:template match="//tei:teiHeader">
-                </xsl:template>
-                
-                <!-- End of TEI-header processing -->
-                
-                <!-- Text body processing -->
+	<xsl:strip-space elements="*" />
 
-                <!-- "Original" titles found sometimes immediately before text body -->
-                <xsl:template match="//tei:div[@type='titre']">
-                                <p align="center"><b><xsl:apply-templates/></b></p>
-                </xsl:template>
-                
-                <!-- Text divisions (general) -->
-                <xsl:template match="//tei:div[not(@type='titre')]">
-                                <xsl:if test="child::tei:head">
-                                                <xsl:apply-templates select="head"/><br/>                                                
-                                </xsl:if>
-                                <xsl:apply-templates select="*[not(self::tei:head)]"/>                                
-                </xsl:template>
-                
-                <!-- Paragraphs -->
-                <xsl:template match="//tei:text//tei:p">
-                                <p align="justify"><xsl:apply-templates/></p>
-                </xsl:template>
-                
 
-                
-<!-- Page breaks -->                
-              
-                <xsl:template match="//tei:pb[@ed='Pauphilet1923']">
-                                (p. <xsl:value-of select="@n"/>)
-                </xsl:template>
+	<xsl:template match="/">
+		<!-- <html> <head> <title>Quête du Graal (français moderne)</title> </head> 
+			<body style="margin-left:10%;margin-right:10%"> -->
+		<xsl:apply-templates select="//tei:text" />
+		<!-- </body> </html> -->
+	</xsl:template>
 
-                <xsl:template match="//tei:milestone[@unit='column']">
-                                <br/><span style="color:darkviolet;font-family:arial;font-size:80%">&lt;<xsl:value-of select="@xml:id"/>&gt;</span>
-                </xsl:template>
-                
+	<!-- TEI-Header Processing -->
 
-                <!-- Line breaks : note special processing for numbered lb used in BFM verse texts -->
-                <xsl:template match="tei:lb">
-                                                                <xsl:if test="not(parent::tei:p and not(preceding-sibling::*))"><br/></xsl:if>
-                </xsl:template>
-                
-              
-                <!-- Processing elements with "rend" attributes  -->
-                
-                <xsl:template match="//*[@rend='ital']">
-                                <i><xsl:apply-templates/></i>
-                </xsl:template>
+	<xsl:template match="//tei:teiHeader">
+	</xsl:template>
 
-                <xsl:template match="//*[@rend='gras']">
-                                <b><xsl:apply-templates/></b>
-                </xsl:template>
-                
-                <xsl:template match="//*[@rend='exp']">
-                                <sup><xsl:apply-templates/></sup>
-                </xsl:template>
+	<!-- End of TEI-header processing -->
 
-                <xsl:template match="//*[@rend='ind']">
-                                <sub><xsl:apply-templates/></sub>
-                </xsl:template>
-                
-                <xsl:template match="//*[@rend='maj']">
-                                <span style="text-transform:uppercase"><xsl:apply-templates/></span>
-                </xsl:template>
-                
-                <xsl:template match="//*[@rend='pmaj']">
-<span style="font-variant:small-caps"><xsl:apply-templates/></span>
-                </xsl:template>
-                
-                <xsl:template match="//*[@rend='crochets']">[<xsl:apply-templates/>]</xsl:template>
+	<!-- Text body processing -->
 
-                <xsl:template match="//*[@rend='chevrons']">
-                                <xsl:text>&lt;</xsl:text><xsl:apply-templates/><xsl:text>&gt; </xsl:text>
-                </xsl:template>
-                                
-                <xsl:template match="//*[@rend='crochets-ital']">
-                                <xsl:text>[</xsl:text><i><xsl:apply-templates/></i><xsl:text>]</xsl:text>
-                </xsl:template>
-                                
+	<!-- "Original" titles found sometimes immediately before text body -->
+	<xsl:template match="//tei:div[@type='titre']">
+		<p align="center">
+			<b>
+				<xsl:apply-templates />
+			</b>
+		</p>
+	</xsl:template>
 
-                <!-- Numbers -->
-                <xsl:template match="tei:num">
-                                <span style="color:blue"><xsl:apply-templates/></span>
-                </xsl:template>
-                
-                <!-- Notes -->
-                <xsl:template match="tei:note">
-                                <span style="color:violet"> [<b>Note :</b> <xsl:apply-templates/>] </span>	
-                </xsl:template>
-                
-                <!-- Word formatting for morphologically tagged texts -->
-                <xsl:strip-space elements="tei:s"/>
-                <xsl:template match="//text()[starts-with(., ' ')][preceding-sibling::*[1][self::tei:w]]">
-                                <xsl:copy-of select="substring(., 2)"/>
-                </xsl:template>
-                <xsl:template match="//tei:w">
-                                <span title="{@type}" class="word" id="{@xml:id}" >
-                                <xsl:variable name="apostrophe" select='"&apos;"'/>
-                                <xsl:apply-templates/>
-                                <xsl:choose>
-                                                <xsl:when test="following::tei:w[1][starts-with(@type, 'pon')][contains(., ',') or contains(., '.') or contains(., ']')or contains(., ')')]">
-                                                </xsl:when>
-                                                <xsl:when test="following::node()[1][self::text()][starts-with(normalize-space(.), ',') or starts-with(normalize-space(.), '.') or starts-with(normalize-space(.), ']') or starts-with(normalize-space(.), ')')]">
-                                                </xsl:when>
-                                                <xsl:when test="self::tei:w[starts-with(@type, 'pon')][contains(., '[') or contains(., '(')]">
-                                                </xsl:when>
-                                                <xsl:when test="substring(., string-length(.))=$apostrophe">
-                                                </xsl:when>
-                                                <xsl:when test="following::tei:w[1][starts-with(@type, 'pon')][contains(., ':') or contains(., ';') or contains(., '!')or contains(., '?')]">
-                                                                <xsl:text>&#xa0;</xsl:text>
-                                                </xsl:when>
-                                                <xsl:otherwise>
-                                                                <xsl:text> </xsl:text>
-                                                </xsl:otherwise>
-                                </xsl:choose>
-                                                </span>
-                </xsl:template>
-                
-<xsl:template match="tei:ptr"/>
+	<!-- Text divisions (general) -->
+	<xsl:template match="//tei:div[not(@type='titre')]">
+		<xsl:if test="child::tei:head">
+			<xsl:apply-templates select="head" />
+			<br />
+		</xsl:if>
+		<xsl:apply-templates
+			select="*[not(self::tei:head)]" />
+	</xsl:template>
 
-                <!--  Direct speech, not currently tagged -->
-                <xsl:template match="tei:q[ancestor::tei:q]">
-                                <span style="background-color:cyan"> <xsl:apply-templates/></span>
-                </xsl:template>
-                
-                <xsl:template match="tei:q[not(ancestor::tei:q)]">
-                                <span style="background-color:lightcyan"> <xsl:apply-templates/></span>
-                </xsl:template>
-                
+	<!-- Paragraphs -->
+	<xsl:template match="//tei:text//tei:p">
+		<p align="justify">
+			<xsl:apply-templates />
+		</p>
+	</xsl:template>
+
+
+
+	<!-- Page breaks -->
+
+	<xsl:template match="//tei:pb[@ed='Pauphilet1923']">
+		(p.
+		<xsl:value-of select="@n" />
+		)
+	</xsl:template>
+
+	<xsl:template match="//tei:milestone[@unit='column']">
+		<br />
+		<span style="color:darkviolet;font-family:arial;font-size:80%">
+			&lt;
+			<xsl:value-of select="@xml:id" />
+			&gt;
+		</span>
+	</xsl:template>
+
+
+	<!-- Line breaks : note special processing for numbered lb used in BFM verse 
+		texts -->
+	<xsl:template match="tei:lb">
+		<xsl:if test="not(parent::tei:p and not(preceding-sibling::*))">
+			<br />
+		</xsl:if>
+	</xsl:template>
+
+
+	<!-- Processing elements with "rend" attributes -->
+
+	<xsl:template match="//*[@rend='ital']">
+		<i>
+			<xsl:apply-templates />
+		</i>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='gras']">
+		<b>
+			<xsl:apply-templates />
+		</b>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='exp']">
+		<sup>
+			<xsl:apply-templates />
+		</sup>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='ind']">
+		<sub>
+			<xsl:apply-templates />
+		</sub>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='maj']">
+		<span style="text-transform:uppercase">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='pmaj']">
+		<span style="font-variant:small-caps">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='crochets']">
+		[
+		<xsl:apply-templates />
+		]
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='chevrons']">
+		<xsl:text>&lt;</xsl:text>
+		<xsl:apply-templates />
+		<xsl:text>&gt; </xsl:text>
+	</xsl:template>
+
+	<xsl:template match="//*[@rend='crochets-ital']">
+		<xsl:text>[</xsl:text>
+		<i>
+			<xsl:apply-templates />
+		</i>
+		<xsl:text>]</xsl:text>
+	</xsl:template>
+
+
+	<!-- Numbers -->
+	<xsl:template match="tei:num">
+		<span style="color:blue">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+
+	<!-- Notes -->
+	<xsl:template match="tei:note">
+		<span style="color:violet">
+			[
+			<b>Note :</b>
+			<xsl:apply-templates />
+			]
+		</span>
+	</xsl:template>
+
+	<!-- Word formatting for morphologically tagged texts -->
+	<xsl:strip-space elements="tei:s" />
+	<xsl:template
+		match="//text()[starts-with(., ' ')][preceding-sibling::*[1][self::tei:w]]">
+		<xsl:copy-of select="substring(., 2)" />
+	</xsl:template>
+	<xsl:template match="//tei:w">
+		<span title="{@type}" class="word" id="{@xml:id}">
+			<xsl:variable name="apostrophe" select='"&apos;"' />
+			<xsl:apply-templates />
+			<xsl:choose>
+				<xsl:when
+					test="following::tei:w[1][starts-with(@type, 'pon')][contains(., ',') or contains(., '.') or contains(., ']')or contains(., ')')]">
+				</xsl:when>
+				<xsl:when
+					test="following::node()[1][self::text()][starts-with(normalize-space(.), ',') or starts-with(normalize-space(.), '.') or starts-with(normalize-space(.), ']') or starts-with(normalize-space(.), ')')]">
+				</xsl:when>
+				<xsl:when
+					test="self::tei:w[starts-with(@type, 'pon')][contains(., '[') or contains(., '(')]">
+				</xsl:when>
+				<xsl:when test="substring(., string-length(.))=$apostrophe">
+				</xsl:when>
+				<xsl:when
+					test="following::tei:w[1][starts-with(@type, 'pon')][contains(., ':') or contains(., ';') or contains(., '!')or contains(., '?')]">
+					<xsl:text>&#xa0;</xsl:text>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
+			</xsl:choose>
+		</span>
+	</xsl:template>
+
+	<xsl:template match="tei:ptr" />
+
+	<!-- Direct speech, not currently tagged -->
+	<xsl:template match="tei:q[ancestor::tei:q]">
+		<span style="background-color:cyan">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+
+	<xsl:template match="tei:q[not(ancestor::tei:q)]">
+		<span style="background-color:lightcyan">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+
 </xsl:stylesheet>
\ No newline at end of file
